curl --request POST \
--url https://api.synctera.com/v2/synctera_pay/{id}/return \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/synctera_pay/{id}/return"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/synctera_pay/{id}/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/synctera_pay/{id}/return",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/synctera_pay/{id}/return"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/synctera_pay/{id}/return")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/synctera_pay/{id}/return")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"status": "POSTED",
"tenant_id": "abcdef_ghijkl",
"amount": 10000,
"currency": "USD",
"dc_sign": "CREDIT",
"direction": "OUTGOING",
"subtype": "OUTGOING_INTERNATIONAL_REMITTANCE",
"synctera_pay_network": "WISE",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": "<string>",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"reference_id": "<string>",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505",
"configuration_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"exchange_details": {
"rate": 1.30445,
"source_amount": 10000,
"source_currency": "USD",
"target_amount": 10000,
"target_currency": "GBP",
"fees": [
{
"currency": "<string>",
"fee_type": "FX",
"amount": 2,
"description": "<string>",
"percentage": "<string>"
}
]
},
"final_external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_data": {},
"synctera_pay_vendor_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Return a Synctera Pay Transfer
Trigger a return upon an existing Outgoing Synctera Pay transfer
curl --request POST \
--url https://api.synctera.com/v2/synctera_pay/{id}/return \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/synctera_pay/{id}/return"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/synctera_pay/{id}/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/synctera_pay/{id}/return",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/synctera_pay/{id}/return"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/synctera_pay/{id}/return")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/synctera_pay/{id}/return")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"status": "POSTED",
"tenant_id": "abcdef_ghijkl",
"amount": 10000,
"currency": "USD",
"dc_sign": "CREDIT",
"direction": "OUTGOING",
"subtype": "OUTGOING_INTERNATIONAL_REMITTANCE",
"synctera_pay_network": "WISE",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": "<string>",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"reference_id": "<string>",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505",
"configuration_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"exchange_details": {
"rate": 1.30445,
"source_amount": 10000,
"source_currency": "USD",
"target_amount": 10000,
"target_currency": "GBP",
"fees": [
{
"currency": "<string>",
"fee_type": "FX",
"amount": 2,
"description": "<string>",
"percentage": "<string>"
}
]
},
"final_external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_data": {},
"synctera_pay_vendor_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Response
The created return transfer
Outgoing Synctera Pay transfer
The status of the outgoing transfer in the Synctera platform. This is automatically set upon the creation of a transfer. To cancel a transfer, the current status must be 'INITIATED' or 'PENDING' and the request status set to 'CANCELLED'. To trigger a return, the current status must be 'POSTED' and the returned status will be set to 'RETURNED' if successful.
CANCELLED, EXPIRED, INITIATED, PENDING, POSTED "POSTED"
The debit/credit sign of the transfer. This is a legacy field for backward compatibility. For outgoing synctera pay, customer accounts are always debited. For incoming synctera pay, customer accounts are always credited. The direction of the transfer is determined by the API route that is used to create the transfer. For outgoing synctera pay, the dc_sign must be specified and it must always be 'CREDIT'.
CREDIT "CREDIT"
The direction of the transfer. This is a legacy field for backward compatibility. The direction of the transfer is determined by the API route that is used to create the transfer. For outgoing synctera pay, the direction must be specified and it must always be 'OUTGOING'.
OUTGOING "OUTGOING"
The subtype of the outgoing synctera pay transfer
INCOMING_INTERAC_AUTODEPOSIT, INCOMING_INTERAC_AUTODEPOSIT_RETURN, INCOMING_INTERAC_AUTODEPOSIT_RETURN_REVERSAL, INCOMING_INTERAC_AUTODEPOSIT_REVERSAL, INCOMING_INTERAC_E_TRANSFER, INCOMING_INTERAC_E_TRANSFER_RETURN, INCOMING_INTERAC_E_TRANSFER_RETURN_REVERSAL, INCOMING_INTERAC_E_TRANSFER_REVERSAL, OUTGOING_ACCOUNT_TRANSFER, OUTGOING_ACCOUNT_TRANSFER_RETURN, OUTGOING_ACCOUNT_TRANSFER_RETURN_REVERSAL, OUTGOING_ACCOUNT_TRANSFER_REVERSAL, OUTGOING_BILL_PAYMENT, OUTGOING_BILL_PAYMENT_RETURN, OUTGOING_BILL_PAYMENT_RETURN_REVERSAL, OUTGOING_BILL_PAYMENT_REVERSAL, OUTGOING_CARD_LOAD, OUTGOING_CARD_LOAD_REVERSAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN, OUTGOING_DOMESTIC_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT, OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_RETURN, OUTGOING_DOMESTIC_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP, OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_RETURN, OUTGOING_DOMESTIC_MONEY_TRANSFER_CASH_PICKUP_REVERSAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY, OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_RETURN, OUTGOING_DOMESTIC_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL, OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET, OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_RETURN, OUTGOING_DOMESTIC_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL, OUTGOING_INTERAC_E_TRANSFER, OUTGOING_INTERAC_E_TRANSFER_RETURN, OUTGOING_INTERAC_E_TRANSFER_RETURN_REVERSAL, OUTGOING_INTERAC_E_TRANSFER_REVERSAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_RETURN, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_ATM_WITHDRAWAL_REVERSAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_RETURN, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_BANK_DEPOSIT_REVERSAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_RETURN, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_CASH_PICKUP_REVERSAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_RETURN, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_HOME_DELIVERY_REVERSAL, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_RETURN, OUTGOING_INTERNATIONAL_MONEY_TRANSFER_MOBILE_WALLET_REVERSAL, OUTGOING_INTERNATIONAL_REMITTANCE, OUTGOING_INTERNATIONAL_REMITTANCE_RETURN, OUTGOING_INTERNATIONAL_REMITTANCE_RETURN_REVERSAL, OUTGOING_INTERNATIONAL_REMITTANCE_REVERSAL "OUTGOING_INTERNATIONAL_REMITTANCE"
The UUID of the Synctera account that is the destination of the transfer. For a transfer originated by the Synctera platform, this will be an external account resource, while for a transfer originated by the external account, this account will be an account resource.
"fccb4a46-1261-4e91-b622-73b5b946183d"
The UUID of the Synctera account that is the origination of the transfer. For a transfer originated by the Synctera platform, this will be an account resource, while for a transfer originated by the external account, this will be an external account resource.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
The ID of the Outgoing Synctera Pay configuration that will be used to match the Synctera Pay transfer to the appropriate configuration. Only required if the transfer is not automatically matched to a configuration. When supporting multiple configurations, all SyncteraPay transfers are required to pass a configuration ID.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Was this page helpful?

